Kontakte
Personen, Organisationen, Niederlassungen, Kontaktentwürfe, Inbound-Quellen und benutzerdefinierte Felder erstellen und verwalten.
curl -X GET "https://samdock.app/api/contacts/persons/last-seen"{
"_id": "string",
"_personIDs": [
"string"
]
}curl -X PATCH "https://samdock.app/api/contacts/persons/last-seen/string"Personen durchsuchen
Authorization
bearer In: header
Response Body
application/json
curl -X GET "https://samdock.app/api/contacts/persons"[
{
"_tenantID": "string",
"_id": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"gender": "string",
"namePrefix": "string",
"nameSuffix": "string",
"phoneNumber": "string",
"mobileNumber": "string",
"privateNumber": "string",
"officeNumber": "string",
"homeNumber": "string",
"faxNumber": "string",
"website": "string",
"linkedin": "string",
"note": "string",
"xing": "string",
"facebook": "string",
"twitter": "string",
"instagram": "string",
"birthday": "string",
"lastActivity": 0,
"importID": "string",
"address": {
"street": "string",
"number": "string",
"postcode": "string",
"city": "string",
"country": "string",
"state": "string"
},
"employers": [
"string"
],
"deals": [
"string"
],
"consents": [
"string"
],
"customFields": {},
"integrations": {},
"prioritySection": [
"string"
]
}
]curl -X POST "https://samdock.app/api/contacts/persons"curl -X DELETE "https://samdock.app/api/contacts/persons"Person lesen
Authorization
bearer In: header
Path Parameters
Response Body
application/json
curl -X GET "https://samdock.app/api/contacts/persons/string"{
"_tenantID": "string",
"_id": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"gender": "string",
"namePrefix": "string",
"nameSuffix": "string",
"phoneNumber": "string",
"mobileNumber": "string",
"privateNumber": "string",
"officeNumber": "string",
"homeNumber": "string",
"faxNumber": "string",
"website": "string",
"linkedin": "string",
"note": "string",
"xing": "string",
"facebook": "string",
"twitter": "string",
"instagram": "string",
"birthday": "string",
"lastActivity": 0,
"importID": "string",
"address": {
"street": "string",
"number": "string",
"postcode": "string",
"city": "string",
"country": "string",
"state": "string"
},
"employers": [
"string"
],
"deals": [
"string"
],
"consents": [
"string"
],
"customFields": {},
"integrations": {},
"prioritySection": [
"string"
]
}Person bearbeiten
Authorization
bearer In: header
Path Parameters
Request Body
application/json
The ID of the person
The email of the person
The first name of the person
The last name of the person
The gender of the person
The prefix of the person name
The suffix of the person name
The mobile phone number of the person
The phone number of the person
The office phone number of the person
The home phone number of the person
The private phone number of the person
The fax number of the person
The website of the person
LinkedIn profile URL
Xing profile URL
Twitter profile URL
Facebook profile URL
Instagram profile URL
The birthday of the person (ISO 8601)
The address of the person
Import ID
The created at timestamp of the person
A note about the person
The DOI consents of the person
Custom fields for the person
The organizations the person is working for
Privacy settings of the person
Priority section of the person
Response Body
curl -X PATCH "https://samdock.app/api/contacts/persons/string" \ -H "Content-Type: application/json" \ -d '{ "lastName": "string" }'Person löschen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/contacts/persons/string"curl -X GET "https://samdock.app/api/contacts/persons/string/activities"Organisationen durchsuchen
Authorization
bearer In: header
Response Body
application/json
curl -X GET "https://samdock.app/api/contacts/organizations"[
{
"_tenantID": "string",
"_id": "string",
"email": "string",
"name": "string",
"phoneNumber": "string",
"faxNumber": "string",
"linkedin": "string",
"note": "string",
"xing": "string",
"facebook": "string",
"twitter": "string",
"instagram": "string",
"vatRegNo": "string",
"website": "string",
"logo": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"importID": "string",
"address": {
"street": "string",
"number": "string",
"postcode": "string",
"city": "string",
"state": "string",
"country": "string"
},
"branches": [
"string"
],
"employees": [
"string"
],
"deals": [
"string"
],
"contactPerson": "string",
"customFields": {},
"isCustomer": true,
"integrations": {},
"prioritySection": [
"string"
]
}
]Organisation hinzufügen
Authorization
bearer In: header
Request Body
application/json
The ID of the organization
The email of the organization
The name of the organization
The phone number of the organization
The fax number of the organization
LinkedIn profile URL
Xing profile URL
Twitter profile URL
Facebook profile URL
Instagram profile URL
A note about the organization
The VAT Reg No of the organization
The website of the organization
The logo of the organization
Import ID
The created at timestamp of the organization
The address of the organization
The branches of the organization
Custom fields for the organization
Customer status of the organization
Priority section of the organization
Response Body
curl -X POST "https://samdock.app/api/contacts/organizations" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'Organisationen massenhaft löschen
Authorization
bearer In: header
Response Body
curl -X DELETE "https://samdock.app/api/contacts/organizations"Organisation lesen
Authorization
bearer In: header
Path Parameters
Response Body
application/json
curl -X GET "https://samdock.app/api/contacts/organizations/string"{
"_tenantID": "string",
"_id": "string",
"email": "string",
"name": "string",
"phoneNumber": "string",
"faxNumber": "string",
"linkedin": "string",
"note": "string",
"xing": "string",
"facebook": "string",
"twitter": "string",
"instagram": "string",
"vatRegNo": "string",
"website": "string",
"logo": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"importID": "string",
"address": {
"street": "string",
"number": "string",
"postcode": "string",
"city": "string",
"state": "string",
"country": "string"
},
"branches": [
"string"
],
"employees": [
"string"
],
"deals": [
"string"
],
"contactPerson": "string",
"customFields": {},
"isCustomer": true,
"integrations": {},
"prioritySection": [
"string"
]
}Organisation bearbeiten
Authorization
bearer In: header
Path Parameters
Request Body
application/json
The ID of the organization
The email of the organization
The name of the organization
The phone number of the organization
The fax number of the organization
LinkedIn profile URL
Xing profile URL
Twitter profile URL
Facebook profile URL
Instagram profile URL
A note about the organization
The VAT Reg No of the organization
The website of the organization
The logo of the organization
Import ID
The created at timestamp of the organization
The address of the organization
The branches of the organization
Custom fields for the organization
Customer status of the organization
Priority section of the organization
Response Body
curl -X PATCH "https://samdock.app/api/contacts/organizations/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'Organisation löschen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/contacts/organizations/string"Organisationslogo löschen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/contacts/organizations/string/logo"Organisationslogo ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PUT "https://samdock.app/api/contacts/organizations/string/logo"Niederlassung hinzufügen
Authorization
bearer In: header
Path Parameters
Request Body
application/json
Response Body
curl -X POST "https://samdock.app/api/contacts/organizations/string/branches" \ -H "Content-Type: application/json" \ -d '{}'Niederlassung bearbeiten
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/contacts/organizations/string/branches/string"Niederlassung löschen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/contacts/organizations/string/branches/string"Person mit Organisation verknüpfen
Authorization
bearer In: header
Path Parameters
Request Body
application/json
Response Body
curl -X POST "https://samdock.app/api/contacts/organizations/string/contacts" \ -H "Content-Type: application/json" \ -d '{}'Person von Organisation trennen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/contacts/organizations/string/contacts/string"Ansprechpartner zuweisen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/contacts/organizations/string/contacts/string/assignAsContactPerson"Mitarbeiterrolle ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/contacts/organizations/string/contacts/string/role"Organisationsaktivitäten durchsuchen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X GET "https://samdock.app/api/contacts/organizations/string/activities"Alle Kontaktentwürfe durchsuchen
Authorization
bearer In: header
Response Body
application/json
curl -X GET "https://samdock.app/api/contacts/drafts"[
{
"_id": "string",
"_tenantID": "string",
"person": {},
"organization": {},
"lead": {},
"deal": {},
"fieldsData": [
"string"
],
"source": "string",
"createdAt": 0,
"verifiedAt": 0,
"createLead": true,
"editor": "string",
"deleted": true,
"unread": true,
"oldDraftRefrence": {}
}
]Kontaktentwurf lesen
Authorization
bearer In: header
Path Parameters
Response Body
application/json
curl -X GET "https://samdock.app/api/contacts/drafts/string"{
"_id": "string",
"_tenantID": "string",
"person": {},
"organization": {},
"lead": {},
"deal": {},
"fieldsData": [
"string"
],
"source": "string",
"createdAt": 0,
"verifiedAt": 0,
"createLead": true,
"editor": "string",
"deleted": true,
"unread": true,
"oldDraftRefrence": {}
}Kontaktentwurf bearbeiten
Authorization
bearer In: header
Path Parameters
Request Body
application/json
The ID of the contact draft
the related tenant
Person fields
Organization fields
Lead fields
Deal fields
Current state for fields of inboundSource for proper order
The source of the contact draft
The created at timestamp of the draft
The verified at timestamp of the draft
Whether the verification of the draft should create a lead
the default editor that will be assigned to the draft
Draft marked as deleted
Draft marked as unread
Old draft _id relation. To have reference fallback data before migration ContactDrafts1651043942899
Response Body
curl -X PATCH "https://samdock.app/api/contacts/drafts/string" \ -H "Content-Type: application/json" \ -d '{ "_id": "string", "_tenantID": "string" }'Entwurf löschen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/contacts/drafts/string"Entwurf hinzufügen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X POST "https://samdock.app/api/contacts/drafts/string"Inbound-Quellen durchsuchen
Authorization
bearer In: header
Response Body
application/json
curl -X GET "https://samdock.app/api/contacts/inbound-sources"[
{
"_id": "iTBek7hfgqsr-aD2CbX8I",
"status": "disabled",
"type": "api",
"name": "Form",
"formSettings": {},
"createLead": true,
"editor": "an id of the user",
"doi": {},
"privacy": {}
}
]Inbound-Quelle hinzufügen
Authorization
bearer In: header
Request Body
application/json
the id of the inbound source
"iTBek7hfgqsr-aD2CbX8I"the status of the inbound source
"active""disabled" | "active" | "testing"the status of the inbound source
"api""api" | "form" | "private-email" | "shared-email"the name of the inbound source
"Form"the form settings of the source
whether the lead should be created on the verification of drafts
truethe id of the user to which the created lead be assigned to
"an id of the user"the double-opt-in settings for the inbound source
the privacy policy content
Response Body
curl -X POST "https://samdock.app/api/contacts/inbound-sources" \ -H "Content-Type: application/json" \ -d '{ "_id": "iTBek7hfgqsr-aD2CbX8I", "status": "disabled", "type": "api", "name": "Form", "createLead": true, "editor": "an id of the user" }'Inbound-Quelle lesen
Authorization
bearer In: header
Path Parameters
Response Body
application/json
curl -X GET "https://samdock.app/api/contacts/inbound-sources/string"{
"_id": "iTBek7hfgqsr-aD2CbX8I",
"status": "disabled",
"type": "api",
"name": "Form",
"formSettings": {},
"createLead": true,
"editor": "an id of the user",
"doi": {},
"privacy": {}
}Inbound-Quelle bearbeiten
Authorization
bearer In: header
Path Parameters
Request Body
application/json
the id of the inbound source
"iTBek7hfgqsr-aD2CbX8I"the status of the inbound source
"active""disabled" | "active" | "testing"the status of the inbound source
"api""api" | "form" | "private-email" | "shared-email"the name of the inbound source
"Form"the form settings of the source
whether the lead should be created on the verification of drafts
truethe id of the user to which the created lead be assigned to
"an id of the user"the double-opt-in settings for the inbound source
the privacy policy content
Response Body
curl -X PATCH "https://samdock.app/api/contacts/inbound-sources/string" \ -H "Content-Type: application/json" \ -d '{ "_id": "iTBek7hfgqsr-aD2CbX8I", "status": "disabled", "type": "api", "name": "Form", "createLead": true, "editor": "an id of the user" }'Inbound-Quelle löschen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/contacts/inbound-sources/string"JS-Snippet für Inbound-Formular abrufen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X GET "https://samdock.app/api/contacts/inbound-sources/string/string/form.js"Alle benutzerdefinierten Felder durchsuchen
Authorization
bearer In: header
Response Body
application/json
curl -X GET "https://samdock.app/api/contacts/custom-fields"{
"persons": [
{
"_id": "v6xPe2Y5DWE656zYMY9vQ",
"_tenantID": "string",
"name": "string",
"key": "string",
"description": "string",
"type": "text",
"status": "active",
"createdAt": 0,
"createdBy": "string",
"updatedAt": 0,
"updatedBy": "string",
"options": {}
}
],
"organizations": [
{
"_id": "v6xPe2Y5DWE656zYMY9vQ",
"_tenantID": "string",
"name": "string",
"key": "string",
"description": "string",
"type": "text",
"status": "active",
"createdAt": 0,
"createdBy": "string",
"updatedAt": 0,
"updatedBy": "string",
"options": {}
}
]
}Benutzerdefiniertes Feld hinzufügen
Authorization
bearer In: header
Request Body
application/json
the id of the custom field
"TwOlKrW4-vuITfaJLO5O9"the entity of the custom field
"person" | "organization"the name of the custom field
the key of the custom field
the type of the custom field
"text" | "select" | "multiselect" | "textarea" | "currency"Response Body
curl -X POST "https://samdock.app/api/contacts/custom-fields" \ -H "Content-Type: application/json" \ -d '{ "_id": "TwOlKrW4-vuITfaJLO5O9", "entity": "person", "name": "string", "key": "string", "type": "text" }'Benutzerdefinierte Felder nach Entität durchsuchen
Authorization
bearer In: header
Path Parameters
"person" | "organization"Response Body
application/json
curl -X GET "https://samdock.app/api/contacts/custom-fields/person"[
{
"_id": "v6xPe2Y5DWE656zYMY9vQ",
"_tenantID": "string",
"name": "string",
"key": "string",
"description": "string",
"type": "text",
"status": "active",
"createdAt": 0,
"createdBy": "string",
"updatedAt": 0,
"updatedBy": "string",
"options": {}
}
]Wert eines benutzerdefinierten Feldes setzen
Authorization
bearer In: header
Path Parameters
"person" | "organization"Request Body
application/json
From value
To value
Custom field key
Custom field type
"select""select" | "multiselect"Response Body
curl -X PATCH "https://samdock.app/api/contacts/custom-fields/values/person/string" \ -H "Content-Type: application/json" \ -d '{ "from": "string", "to": "string", "key": "string", "type": "select" }'Benutzerdefiniertes Feld bearbeiten
Authorization
bearer In: header
Path Parameters
"person" | "organization"Request Body
application/json
the id of the custom field
"v6xPe2Y5DWE656zYMY9vQ"the id of the tenant
the name of the custom field
the key of the custom field
the description of the custom field
the type of the custom field
"text" | "select" | "multiselect" | "textarea" | "currency"the status of the custom field
"active" | "hidden"when custom field was created
id of User who created custom field
when custom field was updated
id of User who updated custom field
any options of the custom field
Response Body
curl -X PATCH "https://samdock.app/api/contacts/custom-fields/person/string" \ -H "Content-Type: application/json" \ -d '{ "_id": "v6xPe2Y5DWE656zYMY9vQ", "_tenantID": "string", "name": "string", "key": "string", "type": "text", "createdAt": 0, "createdBy": "string" }'Benutzerdefiniertes Feld löschen
Authorization
bearer In: header
Path Parameters
"person" | "organization"Response Body
curl -X DELETE "https://samdock.app/api/contacts/custom-fields/person/string/string"DOI gewähren
Path Parameters
Query Parameters
Response Body
curl -X GET "https://samdock.app/api/contacts/doi/string/grant?_tenantID=string&redirectUrl=string&email=string"